Summary: Front-end for CD rippers and Ogg Vorbis encoders
Name: grip
Version: 3.2.0
Release: 25%{?dist}
Epoch: 1
License: GPLv2+
Group: Applications/Multimedia
Source0: http://downloads.sourceforge.net/grip/grip-%{version}.tar.gz
Source1: grip.1
Patch1: grip-3.2.0-default.patch
Patch2: grip-3.2.0-id3.c.patch
Patch3: grip.desktop.patch
Patch4: grip-64bit-fix.patch
Patch5: grip-3.2.0-lookup.patch
Patch6: grip-3.2.0-executionpatch.patch
Patch7: grip.834724.patch
Patch8: grip.split-utf-8-strings.patch
URL: http://www.nostatic.org/grip/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: vorbis-tools
BuildRequires: vte-devel cdparanoia-devel
BuildRequires: libgnomeui-devel curl-devel
BuildRequires: gettext id3lib-devel
BuildRequires: desktop-file-utils

%description
Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
cdda2wav) and Ogg Vorbis encoders. Grip allows you to rip entire tracks or
just a section of a track. Grip supports the CDDB protocol for
accessing track information on disc database servers.

%prep
%setup -q
%patch1 -p1 -b .default-encoder
%patch2 -p1 -b .id3
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

# From redhat-rpm-config 9.0.3-1 (F-10) config.{guess,sub} are
# not overwritten automatically. The original config.{guess,sub}
# do not work on ppc64
#
# The following %%_prefix/lib cannot be %%_libdir !!
cp -p %{_prefix}/lib/rpm/config.{guess,sub} .

# convert non utf8 .po files to utf8
# to fix #456721 (Grip silently crahses on F8)
pushd po
for i in es.po pt_BR.po ru.po; do
	iconv -f iso-8859-1 -t utf-8 $i > $i.tmp
	mv $i.tmp $i
done
popd

iconv -f iso-8859-1 -t utf-8 ChangeLog > ChangeLog.tmp
mv ChangeLog.tmp ChangeLog

%configure
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-am

install -p -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/grip.1

cat >> %{buildroot}%{_datadir}/applications/grip.desktop << EOF
StartupWMClass=Grip
EOF

desktop-file-install \
	--vendor=fedora \
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications \
	--delete-original \
	--add-category X-Fedora \
	--add-category Application \
	--add-category AudioVideo \
	$RPM_BUILD_ROOT%{_datadir}/applications/grip.desktop
%find_lang %{name}-2.2

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-2.2.lang
%defattr(-,root,root)
%doc README ChangeLog CREDITS COPYING AUTHORS TODO
%{_bindir}/grip
%{_datadir}/pixmaps/gripicon.png
%{_datadir}/gnome/help/grip
%{_datadir}/applications/*
%{_mandir}/man1/*

%changelog
* Mon Nov 10 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-25
- fixed "grip breaks utf-8 sequences up when writing xmcd CD database file"
  (#466656)

* Sun Nov 09 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-24
- fixed "buffer overflow caused by large amount of CDDB replies" (#470552)
  (CVE-2005-0706)

* Thu Oct 02 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-23
- fixed "German Umlauts are shown incorrectly" (#459394)
  (not converting de.po and fr.po to UTF-8 anymore)

* Sat Aug 23 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-22
- updated to better "execute command after encode" patch from Stefan Becker

* Sun Aug 10 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-21
- added "execute command after encode" patch (#457186)

* Sat Jul 26 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-20
- fixed "Grip silently crahses on F8" (#456721)
  (converted non UTF-8 .po files to UTF-8)

* Tue Jun 10 2008 Adrian Reber <adrian@lisas.de> - 1:3.2.0-19
- removed now unnecessary cell-renderer patch
- fixed "default config creates ogg files with .mp3 extension" (#427017)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:3.2.0-18
- Autorebuild for GCC 4.3

* Mon Sep 03 2007 Adrian Reber <adrian@lisas.de> - 1:3.2.0-17
- search for ripper and encoder executables in path (#249150)
- updated License:

* Wed Jan 17 2007 Adrian Reber <adrian@lisas.de> - 1:3.2.0-16
- fixes for #220777, #222574, #232755

* Wed Jan 03 2007 Adrian Reber <adrian@lisas.de> - 1:3.2.0-15
- changed default file extension (#220777)

* Tue Oct 31 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-14
- rebuilt for new curl

* Sat Sep 09 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-13
- rebuilt

* Fri Jun 23 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-12
- updated with patch from novell to fix crashes when calling
  external programs (#184542)

* Fri May 12 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-11
- rebuilt for new vte

* Mon Feb 13 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-10
- rebuilt

* Tue Nov 15 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-9
- rebuilt

* Wed Sep 14 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-8
- added .desktop patch from Chong Kai Xiong (#167989)

* Sat Aug 20 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-7
- rebuilt

* Thu Aug 04 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-6
- added patch for buffer overflow in id3.c (#160671)

* Thu Jul 07 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-5
- added patch to fix cell renderer problem (BZ #162324)
- wrote and added a man page

* Wed Mar 02 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-4
- s/Copyright/License/
- s/Serial/Epoch/
- cosmetic changes to quiet rpmlint
- removed grip.png and grip.desktop (Source1 and Source2) as
  it is already included in the tarball
- removed unused patches
- removed ExcludeArch: s390 s390x
- renamed BuildPrereq to BuildRequires
- added id3lib-devel to BuildRequires
- use %%{_smp_mflags}
- changed .desktop file creation and installation
- removed INSTALL and NEWS from %%doc
- deleted changelog entries older than 2004
- changed Source line to be valid

* Fri Oct  8 2004 Bill Nottingham <notting@redhat.com> 3.2.0-3
- add a passel of buildreqs (#135045)

* Wed Jul 28 2004 Adrian Havill <havill@redhat.com> 3.2.0-2
- rebuilt
- add vte-devel to BuildRequires

* Sun Jun 20 2004 Karsten Hopp <karsten@redhat.de> 3.2.0-1
- update to latest stable version
- remove obsolete locking and cdparanoia patches

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
